org.eclipse.microprofile.reactive.streams.operators.tck.api

## Class SubscriberBuilderVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification
  - - org.eclipse.microprofile.reactive.streams.operators.tck.api.SubscriberBuilderVerification

    public class SubscriberBuilderVerification
    extends AbstractReactiveStreamsApiVerification

Verification for the `SubscriberBuilder` class.

### Field Summary

### Fields inherited from class org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification

`rs`

### Constructor Summary

Constructors
Constructor and Description
`SubscriberBuilderVerification(ReactiveStreamsFactory rs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `build()`
`void` `buildNull()`

### Methods inherited from class org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification

`assertEmptyStage, graphFor, graphFor, graphFor, graphFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscriberBuilderVerification

    public SubscriberBuilderVerification(ReactiveStreamsFactory rs)

### Method Detail

#### build

    public void build()

#### buildNull

    public void buildNull()